//GFXSCENE - [2020-06-22 11:41:46]
#ifndef _GFXSCENE_H_
#define _GFXSCENE_H_

#include "CFTTVector32.h"
#include "CLightingLUTState.h"

/*
0018BF4C GFXSCENE_Init()
0018BF50 GFXSCENE_Shutdown()
0018BF84 GFXSCENE_Apply(CLightingLUTSceneSettings const*)
0018C19C GFXSCENE_CheckLUTs(ELightingLUTMat)
0018C8D8 GFXSCENE_GetDiffRimLUT(ELightingLUTMat)
0018C8F0 GFXSCENE_GetSpecularLUT(ELightingLUTMat)
0018C90C GFXSCENE_GetLightDirConst()
*/

void GFXSCENE_Init();                                   //0018BF4C
void GFXSCENE_Shutdown();                               //0018BF50
void GFXSCENE_Apply(CLightingLUTSceneSettings const*);  //0018BF84
void GFXSCENE_CheckLUTs(ELightingLUTMat);               //0018C19C
CFTTTexture* GFXSCENE_GetDiffRimLUT(ELightingLUTMat);   //0018C8D8
CFTTTexture* GFXSCENE_GetSpecularLUT(ELightingLUTMat);  //0018C8F0
CFTTVector32 GFXSCENE_GetLightDirConst();               //0018C90C

extern CFTTVector32 GFXSCENE_vLightDir;

#endif  //_GFXSCENE_H_